/* $Id: nibbler.h 16 2023-05-10 01:23:49Z nishi $ */
#ifndef __NIBBLER_NIBBLER_H__
#define __NIBBLER_NIBBLER_H__

#define _XOPEN_SOURCE 500

#include <nibbler/language.h>

#define _NIBBLER_VERSION "1.23r2"
#if defined(JAPANESE)
#define NIBBLER_VERSION _NIBBLER_VERSION "j"
#else
#define NIBBLER_VERSION _NIBBLER_VERSION
#endif
#define NIBBLER_ID "$Id: nibbler.h 16 2023-05-10 01:23:49Z nishi $"

#ifndef NIBBLER_CONFIG
#define NIBBLER_CONFIG 		"/etc/nibbler.conf"
#endif

#ifndef NIBBLER_GENRE
#define NIBBLER_GENRE		"/etc/genre.conf"
#endif

#ifndef NIBBLER_BASE
#define NIBBLER_BASE		"/var/nibbler"
#endif

#define NIBBLER_DATABASE	NIBBLER_BASE "/db"

#define NIBBLER_USER_DB		NIBBLER_DATABASE "/nibbler-user"
#define NIBBLER_TOKEN_DB	NIBBLER_DATABASE "/nibbler-token"
#define NIBBLER_THREAD_DB	NIBBLER_BASE "/thread"
#define NIBBLER_GENRE_DB	NIBBLER_BASE "/genre"

#endif
