/* $Id: language.h 15 2023-05-07 04:45:42Z nishi $ */
#ifndef __NIBBLER_LANGUAGE_H__
#define __NIBBLER_LANGUAGE_H__

#include <nibbler.h>

#if !defined(JAPANESE) && !defined(ENGLISH)
#define ENGLISH
#endif

#if defined(JAPANESE)
	#define NIBBLER_WELCOME			printf("<div style=\"text-align: center;\">\n");\
						printf("	<img src=\"%s\" width=\"256px\"><br>\n", config->iconpath);\
						printf("	<h1>%sへようこそ - 動いています！</h1>\n", config->title);\
						printf("	もしこれが見えているのであれば、Nibblerは(おそらく)動いています。<br>\n");\
						printf("	<code>" NIBBLER_CONFIG "</code>を設定して他のものがうごくようにしましょう。<br>\n");\
						printf("	<code>ItWorks=0</code>を<code>" NIBBLER_CONFIG "</code>に追加してこのメッセージを無効化できます。\n");\
						printf("	<hr>\n");\
						printf("</div>\n");
	#define NIBBLER_WELCOME_TITLE		printf("%sへようこそ\n", config->title);
	#define NIBBLER_HOME			"ホーム"
	#define NIBBLER_LICENSE			"ライセンス"
	#define NIBBLER_THREADS			"スレッド"
	#define NIBBLER_LOGIN			"ログイン"
	#define NIBBLER_SIGNUP			"サインアップ"
	#define NIBBLER_USERNAME		"ユーザーネーム"
	#define NIBBLER_PASSWORD		"パスワード"
	#define NIBBLER_NOT_FOUND		"見つからなかったよ"
	#define NIBBLER_NEW_THREAD		"新規スレッド"
	#define NIBBLER_THREAD_NOT_FOUND	"スレッドが見つかりませんでした"
	#define NIBBLER_SOMETHING_TO_CHAT	"送りたい内容..."
	#define NIBBLER_SEND			"送信"
	#define NIBBLER_NAME			"名前"
	#define NIBBLER_L_GENRE			"ジャンル"
#elif defined(ENGLISH)
	#define NIBBLER_WELCOME			printf("<div style=\"text-align: center;\">\n");\
						printf("	<img src=\"%s\" width=\"256px\"><br>\n", config->iconpath);\
						printf("	<h1>Welcome to %s - It works!</h1>\n", config->title);\
						printf("	If you can see this page, Nibbler is (probabbly) working.<br>\n");\
						printf("	Configure <code>" NIBBLER_CONFIG "</code> to make stuffs works.<br>\n");\
						printf("	You can add <code>ItWorks=0</code> in <code>" NIBBLER_CONFIG "</code> to disable this.\n");\
						printf("	<hr>\n");\
						printf("</div>\n");
	#define NIBBLER_WELCOME_TITLE		printf("Welcome to %s\n", config->title);
	#define NIBBLER_HOME			"Home"
	#define NIBBLER_LICENSE			"License"
	#define NIBBLER_THREADS			"Threads"
	#define NIBBLER_LOGIN			"Login"
	#define NIBBLER_SIGNUP			"Signup"
	#define NIBBLER_USERNAME		"Username"
	#define NIBBLER_PASSWORD		"Password"
	#define NIBBLER_NOT_FOUND		"Not Found"
	#define NIBBLER_NEW_THREAD		"New Thread"
	#define NIBBLER_THREAD_NOT_FOUND	"Thread not found"
	#define NIBBLER_SOMETHING_TO_CHAT	"Something to chat..."
	#define NIBBLER_SEND			"Send"
	#define NIBBLER_NAME			"Name"
	#define NIBBLER_L_GENRE			"Genre"
#endif

#endif
