/* $Id: util.c 3 2023-05-04 13:31:38Z nishi $ */
#include <nibbler/util.h>

#include <string.h>
#include <stdlib.h>

char* sstrcat(const char* str1, const char* str2){
	char* str = malloc(strlen(str1) + strlen(str2) + 1);
	strcpy(str, str1);
	strcpy(str + strlen(str1), str2);
	str[strlen(str1) + strlen(str2)] = 0;
	return str;
}

char* sstrcat3(const char* str1, const char* str2, const char* str3){
	char* tmp = sstrcat(str1, str2);
	char* str = sstrcat(tmp, str3);
	free(tmp);
	return str;
}

char* sstrcat4(const char* str1, const char* str2, const char* str3, const char* str4){
	char* tmp = sstrcat3(str1, str2, str3);
	char* str = sstrcat(tmp, str4);
	free(tmp);
	return str;
}
