/* $Id: api.h 5 2023-05-05 09:48:02Z nishi $ */
#ifndef __NIBBLER_API_H__
#define __NIBBLER_API_H__

#include <nibbler/config.h>

#define NIBBLER_CODE_SUCCESS				0
#define NIBBLER_CODE_PARAM_MISSING			1
#define NIBBLER_CODE_USER_NOT_FOUND			2
#define NIBBLER_CODE_PASSWORD_INCORRECT			3
#define NIBBLER_CODE_SIGNUP_NOT_ALLOWED			4
#define NIBBLER_CODE_USER_ALREADY_EXISTS		5
#define NIBBLER_CODE_INVALID_TOKEN			6
#define NIBBLER_CODE_GENRE_NOT_FOUND			7
#define NIBBLER_CODE_THREAD_NAME_OVER_1024		8
#define NIBBLER_CODE_THREAD_NOT_FOUND			9

void nibbler_api(struct nibbler_config* config);

#endif
